Name:           nachocalendar
Version:        0.23
Release:        4%{?dist}
Summary:        Provides a flexible Calendar component to the Java Platform
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://nachocalendar.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
BuildRequires:     ant
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description
Provide a flexible Calendar component to the Java Platform.
Currently is under early development but can be used safely. It comes with
conventient factory classes, providing a fast and easy way to start using
them.


%package javadoc
Summary:           Javadocs for nachocalendar
Group:             Documentation
Requires:          %name = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
NachoCalendar development documentation.


%prep
%setup -q # -n %{name}-%{version}

rm -rf doc lib/*


%build
ant clean jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}/
install -m644 lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt CHANGELOG.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 0.23-1
- initial build
